SystemOrganization addCategory: #ConfigurationOfChalten!

ConfigurationOf subclass: #ConfigurationOfChalten
	instanceVariableNames: ''
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfChalten'!

!ConfigurationOfChalten commentStamp: 'MaximilianoTaborda 4/28/2014 14:47' prior: 0!
A ConfigurationOfChalten is the configuration of Chalten time model.

Instance Variables
	project:		<Object>

project
	- A project.
!

!ConfigurationOfChalten methodsFor: 'symbolic versions' stamp: 'MaximilianoTaborda 5/29/2013 20:38'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: #'notDefined'! !

!ConfigurationOfChalten methodsFor: 'symbolic versions' stamp: 'MaximilianoTaborda 5/29/2013 20:38'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'! !

!ConfigurationOfChalten methodsFor: 'initialize-release' stamp: 'MaximilianoTaborda 4/22/2015 23:07'!
postLoadInitialization

	ChaltenEnvironmentBehavior initializeAfterLoad.
	TimeUnitsGlobals initializeAfterLoad.
	CalendarDefinition allSubclassesDo: [ :each | each subclasses isEmpty
		ifTrue: [ each initializeAfterLoad ]].
	TimeOfDay initializeAfterLoad.
	TimeZonesGlobals initializeAfterLoad! !

!ConfigurationOfChalten methodsFor: 'symbolic versions' stamp: 'MaximilianoTaborda 4/28/2015 12:59'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '4.0.0'! !

!ConfigurationOfChalten methodsFor: 'versions' stamp: 'MaximilianoTaborda 5/13/2015 16:40'!
version400: spec
	<version: '4.0.0'>
	
	spec for: #common do: [ 
		spec blessing: #release.
		spec description: '- Chalten final for 4.x images'.
		spec author: 'MaximilianoTaborda'.
		spec
			baseline: 'Chalten'
			with: [ spec repository: 'github://mtaborda/chalten:master/repository' ].
		spec import: 'Chalten'.
		spec postLoadDoIt: #postLoadInitialization ]! !
